import { createContext } from "react";
import { ScriptStrategy } from "./gatsby-script"; // eslint-disable-next-line @typescript-eslint/naming-convention

export const GatsbyScriptContext = /*#__PURE__*/createContext({});
/**
 * Pare down object size to contain only data we care about.
 */

export function filterCollectedScriptProps(props) {
  const {
    id,
    src,
    strategy = ScriptStrategy.postHydrate,
    onLoad: onLoadCallback,
    onError: onErrorCallback,
    children,
    dangerouslySetInnerHTML,
    forward
  } = props;
  const onLoad = typeof onLoadCallback === `function`;
  const onError = typeof onErrorCallback === `function`;
  const inline = Boolean(children || (dangerouslySetInnerHTML === null || dangerouslySetInnerHTML === void 0 ? void 0 : dangerouslySetInnerHTML.__html));
  return {
    id,
    src,
    strategy,
    onLoad,
    onError,
    inline,
    forward
  };
}